#!/bin/sh

# Semarchy Convergence Pulse Profiling
# Copyright(c) 2013-2014 Semarchy
#
# ENVIRONMENT VARIABLES:
# Pulse uses the PULSE_HOME variable that should point to the root directory
# where PULSE is installed. If not set, then Pulse will try to guess this 
# variable assuming it was started from the "bin" directory

# resolve links - $0 may be a softlink
PRG="$0"

while [ -h "$PRG" ]; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done

# Get standard environment variables
PRGDIR=`dirname "$PRG"`

# Only set PULSE_HOME if not already set
[ -z "$PULSE_HOME" ] && PULSE_HOME=`cd "$PRGDIR/.." >/dev/null; pwd`

cd $PULSE_HOME
java -cp "lib/*" com.semarchy.pulse.profiling.Profiling "$@"
